# 1.添加pom依赖

pom文件添加如下依赖

```xml
<dependency>
            <groupId>p6spy</groupId>
            <artifactId>p6spy</artifactId>
            <version>3.9.1</version>
        </dependency>
```



# 2.修改数据库连接池信息

pg例子原来为：

```properties
dyn.spring.datasources[0].driverClassName=org.postgresql.Driver
dyn.spring.datasources[0].url=jdbc:postgresql://10.20.30.217:10001/em?ApplicationName=lightdbem&socketTimeout=5000
```

修改为：

```properties
dyn.spring.datasources[0].driverClassName=com.p6spy.engine.spy.P6SpyDriver
dyn.spring.datasources[0].url=jdbc:p6spy:postgresql://10.20.31.204:5434/em?ApplicationName=lightdbem&socketTimeout=5000
```



Oracle和MySQL原理就是：

```
# 批改 JDBC 驱动为如下 P6SpyDriver 配置
# 之前为：
#spring.datasource.driver-class-name=oracle.jdbc.driver.OracleDriver
#spring.datasource.driver-class-name=com.mysql.jdbc.Driver
spring.datasource.driver-class-name=com.p6spy.engine.spy.P6SpyDriver
```

再修改

```
# 留神是 jdbc:p6spy:mysql
spring.datasource.url=jdbc:p6spy:mysql://127.0.0.1:3306/test?useUnicode=true&characterEncoding=UTF-8

spring.datasource.url=jdbc:p6spy:oracle:thin:@192.168.5.10:1521:ky
```



# 3.添加spy.properties

将本文件夹spy.properties中添加到工程的appliaction.properties的文件夹下,注意修改spy.properties中的driverlist(表示真正使用的驱动)，logfile(表示输出sql文件的位置)，详细配置可见参考链接。



# 4.参考

https://blog.csdn.net/yunqing_71/article/details/111887202